org.apache.jmeter.util

## Class JMeterTreeNodeTransferable

- java.lang.Object
- - org.apache.jmeter.util.JMeterTreeNodeTransferable

- All Implemented Interfaces:
    java.awt.datatransfer.Transferable

      public class JMeterTreeNodeTransferable
      extends java.lang.Object
      implements java.awt.datatransfer.Transferable

  Simple implementation of a transferable for `JMeterTreeNode` arrays based on serialization.
  Since:
    2.9

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.datatransfer.DataFlavor` | `JMETER_TREE_NODE_ARRAY_DATA_FLAVOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterTreeNodeTransferable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
    `java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
    `boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`
    `void` | `setTransferData(JMeterTreeNode[] nodes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

          public static final java.awt.datatransfer.DataFlavor JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

  - ### Constructor Detail

    - #### JMeterTreeNodeTransferable

          public JMeterTreeNodeTransferable()

  - ### Method Detail

    - #### getTransferDataFlavors

          public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

    - #### getTransferData

          public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                           throws java.awt.datatransfer.UnsupportedFlavorException,
                                                  java.io.IOException

      Specified by:
        `getTransferData` in interface `java.awt.datatransfer.Transferable`
      Throws:
        `java.awt.datatransfer.UnsupportedFlavorException`
        `java.io.IOException`

    - #### setTransferData

          public void setTransferData(JMeterTreeNode[] nodes)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.